package com.fr.plugin.third.party.jsdibaf.config;


import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;

/**
 * 配置数据保存
 */
@Visualization(category = "获取登录token配置")
public class CustomDataConfig extends DefaultConfiguration {
    public String getNameSpace() {
        return this.getClass().getName();
    }

    private static volatile CustomDataConfig config = null;

    public static CustomDataConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(CustomDataConfig.class);
        }
        return config;
    }

    @Identifier(value = "loginUserName", name = "用户名称参数", description = "", status = Status.SHOW)
    private Conf<String> loginUserName = Holders.simple("fine_username");




    public String getLoginUserName() {
        return loginUserName.get();
    }

    public void setLoginUserName(String loginUserName) {
        this.loginUserName.set(loginUserName);
    }


    @Override
    public Object clone() throws CloneNotSupportedException {
        CustomDataConfig cloned = (CustomDataConfig) super.clone();
        cloned.loginUserName = (Conf<String>) loginUserName.clone();
        //cloned.frUrl = (Conf<String>) frUrl.clone();
        return cloned;
    }
}
