package com.fr.plugin.third.party.jsdibaf.http;

import com.fanruan.api.util.StringKit;
import com.fr.decision.authority.data.User;
import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.decision.webservice.v10.login.LoginService;
import com.fr.decision.webservice.v10.user.UserService;
import com.fr.json.JSONObject;
import com.fr.plugin.third.party.jsdibaf.config.CustomDataConfig;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class LoginTokenHttpHandler extends BaseHttpHandler {

    @Override
    public RequestMethod getMethod() {
        return RequestMethod.GET;
    }

    @Override
    public String getPath() {
        return "/jsd8105/get/login/token";
    }

    @Override
    public boolean isPublic() {
        return true;
    }

    @Override
    public void handle(HttpServletRequest req, HttpServletResponse res) throws Exception {
        JSONObject jsonContent = new JSONObject();
        String loginUserName = WebUtils.getHTTPRequestParameter(req, CustomDataConfig.getInstance().getLoginUserName());
        if (StringKit.isEmpty(loginUserName)) {
            jsonContent.put("status", "failure");
            jsonContent.put("msg", "用户名为空");
            printAsJSON(res,jsonContent);
            return;
        }
        User user = UserService.getInstance().getUserByUserName(loginUserName);
        if (StringKit.isEmpty(loginUserName)) {
            jsonContent.put("status", "failure");
            jsonContent.put("msg", "用户名" + loginUserName + "在报表系统内不存在");
            printAsJSON(res,jsonContent);
            return;
        }
        if (!user.isEnable()) {
            jsonContent.put("status", "failure");
            jsonContent.put("msg", "用户名" + loginUserName + "在报表系统被禁用");
            printAsJSON(res,jsonContent);
            return;
        }
        String loginToken = LoginService.getInstance().login(req, res, loginUserName);
        jsonContent.put("status", "success ");
        jsonContent.put("token", loginToken);
        printAsJSON(res,jsonContent);
    }

    private void printAsJSON(HttpServletResponse res, JSONObject json) throws Exception {
        res.setContentType("application/json");
        WebUtils.printAsJSON(res, json);
    }

}
